
Auto Multiple Choice - Feature # 422: temporisation lors de l'envoi de mails

Status: Closed Priority: Normal
Author: Ludovic Grossard Category:
Created: 08/14/2016 Assignee:
Updated: 09/20/2017 Due date:
Description: Serait-il possible d'ajouter une temporisation éventuelle entre chaque mail envoyé aux étudiants ? Dans mon 

université (et probablement ailleurs), le nombre de mails par minute est restreint pour lutter contre le SPAM, 
ce qui oblige à envoyer les réponses en sélection manuelle, par petits paquets.

Un grand merci pour ce formidable projet !

History
08/14/2016 10:39 am - Alexis Bienvenüe
- Category deleted (Graphical Interface)

En attendant une implémentation plus propre, vous pouvez ajouter la temporisation voulue à la fin de la boucle, dans le fichier 
@/usr/lib/AMC/perl/AMC-mailing.pl@ ligne 276, juste après @$avance->progres($delta);@ :
<pre>
  $avance->progres($delta);
  sleep 10;
}
</pre>
(ici j'ai supposé que vous souhaitiez une temporisation de 10 secondes).

08/14/2016 11:13 am - Ludovic Grossard
Merci beaucoup pour l'astuce. Elle va m'être très utile en attendant l'implémentation officielle. Merci également pour votre réactivité !

Bien cordialement

09/21/2016 03:54 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset commit:4400d025b959.

11/30/2016 03:05 pm - Alexis Bienvenüe
Applied in changeset commit:dda54b703aad.

09/20/2017 02:03 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
